Subject: Re: [PATCH v4.14-stable 0/2] Fixes to commit fdfc5c8594c2 (tcp: remove empty skb from write queue in error cases)

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 19 Sep 2019 22:07:26 +0200

On Thu, Sep 19, 2019 at 08:21:43AM -0700, Christoph Paasch wrote:
> Hello Greg & Sasha,
> 
> On Sat, Sep 14, 2019 at 12:20 AM Christoph Paasch <[email-masked]> wrote:
> >
> >
> > The above referenced commit has problems on older non-rbTree kernels.
> >
> > AFAICS, the commit has only been backported to 4.14 up to now, but the
> > commit that fdfc5c8594c2 is fixing (namely ce5ec440994b ("tcp: ensure epoll
> > edge trigger wakeup when write queue is empty"), is in v4.2.
> >
> > Christoph Paasch (2):
> >   tcp: Reset send_head when removing skb from write-queue
> >   tcp: Don't dequeue SYN/FIN-segments from write-queue
> 
> I'm checking in on these two patches for the 4.14 stable-queue.
> Especially the panic fixed by patch 2 is pretty easy to trigger :-/

Dude, it's been less than a week.  And it's the middle of the merge
window.  And it's the week after Plumbers and Maintainer's summit.

Relax...

I'll go queue these up now, but I am worried about them, given this
total mess the backports seem to have caused.

Why isn't this needed in 4.9.y and 4.4.y also?

thanks,

greg k-h